import { FETCH_TASKS_FAILURE, FETCH_TASKS_REQUEST, FETCH_TASKS_SUCCESS, SET_NEW_TASKS_FOR_CELLS } from "../actionTypes/tasksTypes";
import axios from '../../axiosPlanner'

const fetchTasksRequest = () => {
  return {type:  FETCH_TASKS_REQUEST}
};

const fetchTasksSuccess = (tasks) => {
  return {type: FETCH_TASKS_SUCCESS, tasks}
};

const fetchTasksFailure = (error) => {
  return {type: FETCH_TASKS_FAILURE, error}
};
export const setNewTasksForCells = (tasks) => {
  return {type: SET_NEW_TASKS_FOR_CELLS, tasks}
}

export const fetchTasks = () => {
  return async (dispatch) => {
      dispatch(fetchTasksRequest());
      try {
        const response = await axios.get("/tasks");
        const arr = [
          {
              accomplish: "opened",
              author: {id: 'f0e4a3bf-78fb-465b-9f28-620790750418', name: 'timur', surname: 'ermolaev', displayName: 'ermolaev t.', email: 'loool@mail.ru'}, 
              createdAt: "2022-11-07T11:35:30.937Z", 
              dateTimeDue: "2022-11-11T14:35:30.937Z", 
              dateTimeStart: "2022-11-11T11:35:30.937Z", 
              description: "lol", 
              id: "2fd828a2-3778-45fd-a11a-00d799db9142",
              title : "task1",
          }, {
              accomplish: "opened",
              author: {id: 'f0e4a3bf-78fb-465b-9f28-620790750418', name: 'timur', surname: 'ermolaev', displayName: 'ermolaev t.', email: 'loool@mail.ru'}, 
              createdAt: "2022-11-07T11:35:30.937Z", 
              dateTimeDue: "2022-11-25T16:00:00.937Z", 
              dateTimeStart: "2022-11-25T15:35:30.937Z", 
              description: "lol", 
              id: "2fd828a2-3778-45fd-a11a-00d799db9142",
              title : "task2",
          },
        ]
        dispatch(fetchTasksSuccess(arr))
        setNewTasksForCells()
      } catch (error) {
        dispatch(fetchTasksFailure(error.response.data));
      }
  }
}